-4
apt-get install linux-headers-`uname -r`
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package linux-headers-4.9.0-kali3-amd64
E: Couldn't find any package by glob 'linux-headers-4.9.0-kali3-amd64'
E: Couldn't find any package by regex 'linux-headers-4.9.0-kali3-amd64'
4

Kali only keeps a limited set of kernels, and you can only install headers for kernels which are still available in the pool. The current kernel (as of March 1, 2018) is 4.14.0-kali3, older versions are no longer available.

The fix is the same for any kernel version on Kali. You need to update your indexes:

sudo apt update

then upgrade, which should install the new kernel:

sudo apt upgrade

then reboot to use the new kernel and try again:

sudo apt install linux-headers-$(uname -r)
0
apt-get install linux-headers-4.9.0-kali3-amd64

The last command may fail if your system is not fully updated. I used this command and it was successful:

apt-get install linux-headers-amd64

Not the answer you're looking for? Browse other questions tagged or ask your own question.